---
type: api
title: Restores a shutdown resource
description: Restores a shutdown resource belonging to a given Deployment.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-restore-deployment-resource
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-restore-deployment-resource
products:
  - Elastic Cloud Enterprise
---

# Restores a shutdown resource

## Paths

- `POST` `/deployments/{deployment_id}/{resource_kind}/{ref_id}/_restore`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment
- `resource_kind` (enum)
  The kind of resource
  Values: `elasticsearch`, `kibana`, `apm`, `appsearch`, `enterprise_search`, `integrations_server`
- `ref_id` (string)
  User-specified RefId for the Resource (or '_main' if there is only one)

## Description

Restores a shutdown resource belonging to a given Deployment.

## Query String Parameters

- `restore_snapshot` (boolean · default: false)
  Whether or not to restore a snapshot for those resources that allow it.

## Responses

#### `200`

Standard Deployment Resource Crud Response

`application/json`

- `id` (string)
  The id of the deployment
- `kind` (string)
  The kind of the stateless resource
- `ref_id` (string)
  The reference id of the resource
#### `400`

* The Resource does not have a pending plan. (code: `deployments.resource_does_not_have_a_pending_plan`)
* The resource is not shut down. (code: `deployments.resource_not_shutdown`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/_restore
```

#### curl

```curl
curl -X POST "/deployments/{deployment_id}/{resource_kind}/{ref_id}/_restore"
```

